(function () {
	"use strict";

	if (typeof Date.dp_locales === 'undefined') {
		Date.dp_locales = {
		    "texts": {
		        "buttonTitle": "तारीख़ चुनें ।।।",
		        "buttonLabel": "क्लिक करें या कुंजी दर्ज दबाएँ या SPACEBAR कैलेंडर को खोलने के लिए",
		        "prevButtonLabel": "पिछले महीने की जाएं",
		        "nextButtonLabel": "अगले महीने के लिए जाओ",
		        "closeButtonTitle": "बंद करे",
		        "closeButtonLabel": "कैलेंडर बंद",
		        "prevMonthButtonLabel": "पिछले वर्ष के लिए जाओ",
		        "prevYearButtonLabel": "पिछले बीस वर्षों के लिए जाओ",
		        "nextMonthButtonLabel": "अगले साल के लिए जाओ",
		        "nextYearButtonLabel": "अगले बीस वर्षों के लिए जाओ",
		        "changeMonthButtonLabel": "क्लिक करें या कुंजी दर्ज दबाएँ या SPACEBAR महीने बदलने के लिए",
		        "changeYearButtonLabel": "क्लिक करें या कुंजी दर्ज दबाएँ या SPACEBAR साल बदलने के लिए",
		        "changeRangeButtonLabel": "क्लिक करें या अगले बीस वर्षों के लिए जाने के लिए कुंजी या spacebar प्रेस दर्ज",
		        "calendarHelp": "- ऊपर तीर और नीचे तीर - क्रमशः पिछले या अगले सप्ताह में सप्ताह के एक ही दिन के लिए चला जाता है। इस महीने के अंत तक पहुँच जाता है, के रूप में उपयुक्त अगले या पिछले महीने में जारी है।\r\n- वाम तीर और दाएँ तीर - यह भी एक सातत्य में, अगले करने के लिए एक दिन अग्रिम। दिखने में ध्यान देने के दिन से दिन में ले जाया गया और कुछ दिनों के ग्रिड में पंक्ति के लिए पंक्ति से लपेटता है।\r\n- नियंत्रण + पृष्ठ ऊपर - पिछले वर्ष में एक ही तिथि को जाता है।\r\n- नियंत्रण + पृष्ठ नीचे - अगले एक साल में एक ही तिथि को जाता है।\r\n- घर - चालू माह के पहले दिन बढ़ता रहता है।\r\n- अंत - चालू माह के अंतिम दिन बढ़ता रहता है।\r\n- पृष्ठ अप - पिछले महीने में एक ही तारीख को जाता है।\r\n- पृष्ठ नीचे - अगले महीने में एक ही तिथि को जाता है।\r\n- दर्ज करें या स्पास - कैलेंडर बंद कर देता है, और चयनित तिथि जुड़े पाठ बॉक्स में दिखाया गया है।\r\n- एस्केप - किसी भी कार्रवाई के बिना कैलेंडर बंद कर देता है।"
		    },
		    "directionality": "LTR",
		    "month_names": [
		        "जनवरी",
		        "फ़रवरी",
		        "मार्च",
		        "अप्रैल",
		        "मई",
		        "जून",
		        "जुलाई",
		        "अगस्त",
		        "सितंबर",
		        "अक्तूबर",
		        "नवंबर",
		        "दिसंबर"
		    ],
		    "month_names_abbreviated": [
		        "जन॰",
		        "फ़र॰",
		        "मार्च",
		        "अप्रैल",
		        "मई",
		        "जून",
		        "जुल॰",
		        "अग॰",
		        "सित॰",
		        "अक्तू॰",
		        "नव॰",
		        "दिस॰"
		    ],
		    "month_names_narrow": [
		        "ज",
		        "फ़",
		        "मा",
		        "अ",
		        "म",
		        "जू",
		        "जु",
		        "अ",
		        "सि",
		        "अ",
		        "न",
		        "दि"
		    ],
		    "day_names": [
		        "रविवार",
		        "सोमवार",
		        "मंगलवार",
		        "बुधवार",
		        "गुरुवार",
		        "शुक्रवार",
		        "शनिवार"
		    ],
		    "day_names_abbreviated": [
		        "रवि",
		        "सोम",
		        "मंगल",
		        "बुध",
		        "गुरु",
		        "शुक्र",
		        "शनि"
		    ],
		    "day_names_short": [
		        "र",
		        "सो",
		        "मं",
		        "बु",
		        "गु",
		        "शु",
		        "श"
		    ],
		    "day_names_narrow": [
		        "र",
		        "सो",
		        "मं",
		        "बु",
		        "गु",
		        "शु",
		        "श"
		    ],
		    "day_periods": {
		        "am": "पूर्वाह्न",
		        "noon": "दोपहर",
		        "pm": "अपराह्न"
		    },
		    "day_periods_abbreviated": {
		        "am": "पूर्व",
		        "noon": "दोपहर",
		        "pm": "अपर"
		    },
		    "day_periods_narrow": {
		        "am": "पू",
		        "noon": "दोप",
		        "pm": "अ"
		    },
		    "quarter_names": [
		        "पहली तिमाही",
		        "दूसरी तिमाही",
		        "तीसरी तिमाही",
		        "चौथी तिमाही"
		    ],
		    "quarter_names_abbreviated": [
		        "ति1",
		        "ति2",
		        "ति3",
		        "ति4"
		    ],
		    "quarter_names_narrow": [
		        "1",
		        "2",
		        "3",
		        "4"
		    ],
		    "era_names": [
		        "ईसा-पूर्व",
		        "ईसवी सन"
		    ],
		    "era_names_abbreviated": [
		        "ईसा-पूर्व",
		        "ईस्वी"
		    ],
		    "era_names_narrow": [
		        "ईसा-पूर्व",
		        "ईस्वी"
		    ],
		    "full_format": "EEEE, d MMMM y",
		    "long_format": "d MMMM y",
		    "medium_format": "dd/MM/y",
		    "short_format": "d/M/yy",
		    "firstday_of_week": 0
		};
	}
})();